package cd.casic.ci.common.pipeline.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.api.enums
 * @Project：ops-pro
 * @name：RepositoryType
 * @Date：2025/03/26 10:29
 * @Filename：RepositoryType
 * @description：Todo
 */
@Getter
@AllArgsConstructor
public enum RepositoryType {
    ID,
    NAME;

    public static RepositoryType parseType(String type) {
        if (type == null || type.isBlank()) return ID;
        return RepositoryType.valueOf(type);
    }
}
