package cd.casic.ci.process.api.process.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo
 * @Project：ops-pro
 * @name：PipelineAtomRel
 * @Date：2025/03/24 15:42
 * @Filename：PipelineAtomRel
 * @description：Todo
 */
@Data
@Schema(title = "流水线插件相关信息")
public class PipelineAtomRel {
    @Schema(title = "流水线链接", required = true)
    private String pipelineUrl;
    @Schema(title = "插件版本", required = true)
    private String atomVersion;
    @Schema(title = "修改人", required = true)
    private String modifier;
    @Schema(title = "修改时间", required = true)
    private String updateTime;
    @Schema(title = "执行人", required = false)
    private String executor;
    @Schema(title = "执行时间", required = false)
    private String executeTime;
}
