package cd.casic.ci.process.api.process.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo
 * @Project：ops-pro
 * @name：StageTagRequest
 * @Date：2025/03/24 17:03
 * @Filename：StageTagRequest
 * @description：Todo
 */
@Data
@Schema(title = "流水线-阶段标签信息请求体")
public class StageTagRequest {
    @Schema(title = "阶段标签名称", required = true)
    private String stageTagName;
    @Schema(title = "阶段标签权重", required = true)
    private Integer weight;
}
