package cd.casic.ci.process.api.process.pojo.classify;

import cd.casic.ci.process.api.process.pojo.classify.enums.Logic;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.classify
 * @Project：ops-pro
 * @name：PipelineNewView
 * @Date：2025/03/24 19:52
 * @Filename：PipelineNewView
 * @description：Todo
 */
@Data
@Schema(title = "流水线视图")
public class PipelineNewView {
    @Schema(title = "流水线id", required = false)
    private String id;
    @Schema(title = "项目id", required = false)
    private String projectId;
    @Schema(title = "名称", required = false)
    private String name;
    @Schema(title = "是否项目", required = false)
    private Boolean projected;
    @Schema(title = "创建时间", required = false)
    private Long createTime;
    @Schema(title = "更新时间", required = false)
    private Long updateTime;
    @Schema(title = "创建者", required = false)
    private String creator;
    @Schema(title = "逻辑符", required = false)
    private Logic logic;
    @Schema(title = "流水线视图过滤器列表", required = false)
    private List<PipelineViewFilter> filters;
    @Schema(title = "视图类型", required = true)
    private Integer viewType;
    @Schema(title = "流水线ID列表", required = true)
    private List<String> pipelineIds;
}
