package cd.casic.ci.process.api.process.pojo.classify;

import com.fasterxml.jackson.annotation.JsonSubTypes;
import com.fasterxml.jackson.annotation.JsonTypeInfo;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.classify
 * @Project：ops-pro
 * @name：PipelineViewFilter
 * @Date：2025/03/24 20:01
 * @Filename：PipelineViewFilter
 * @description：Todo
 */
@Data
@JsonTypeInfo(use = JsonTypeInfo.Id.NAME, include = JsonTypeInfo.As.PROPERTY, property = "@type")
@JsonSubTypes({
        @JsonSubTypes.Type(value = PipelineViewFilterByName.class, name = PipelineViewFilterByName.CLASS_TYPE),
        @JsonSubTypes.Type(value = PipelineViewFilterByCreator.class, name = PipelineViewFilterByCreator.CLASS_TYPE),
        @JsonSubTypes.Type(value = PipelineViewFilterByLabel.class, name = PipelineViewFilterByLabel.CLASS_TYPE),
        @JsonSubTypes.Type(value = PipelineViewFilterByPacRepo.class, name = PipelineViewFilterByPacRepo.CLASS_TYPE)
})
public abstract class PipelineViewFilter {
}
