package cd.casic.pipeline.store.pojo.common.version;

import cd.casic.pipeline.store.pojo.common.enums.ReleaseTypeEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "版本模型")
public class VersionModel {
    @Schema(title = "发布者", required = true)
    private String publisher = "";
    
    @Schema(title = "发布类型", required = true)
    private ReleaseTypeEnum releaseType = ReleaseTypeEnum.NEW;
    
    @Schema(title = "版本号", required = true)
    private String version = "";
    
    @Schema(title = "版本日志内容", required = true)
    private String versionContent = "";
}