package cd.casic.pipeline.store.pojo.image.exception;


import cd.casic.ci.common.pipeline.constant.CommonMessageCode;

public class ImageNotInstalledException extends RuntimeException {
    public ImageNotInstalledException(String message) {
        super(CommonMessageCode.PERMISSION_DENIED + message);
    }

    public ImageNotInstalledException(String message, String errorCode, String[] params) {
        super(errorCode + message + params);
    }
}