package cd.casic.pipeline.store.pojo.image.response;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "市场镜像主信息")
public class MarketImageMain {
    @Schema(title = "镜像ID", required = true)
    private String id;
    
    @Schema(title = "镜像代码", required = true)
    private String code;
    
    @Schema(title = "镜像名称", required = true)
    private String name;
}