package cd.casic.ci.common.pipeline.pojo.transfer;

import cd.casic.ci.common.pipeline.pojo.element.Element;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.pojo.transfer
 * @Project：ops-pro
 * @name：ElementInsertBody
 * @Date：2025/03/26 11:00
 * @Filename：ElementInsertBody
 * @description：Todo
 */
@Data
@Schema(title = "yaml中插入插件入口")
public class ElementInsertBody {
    @Schema(title = "当前yaml内容")
    private String yaml = "";

    @Schema(title = "需要插入的插件")
    private Element data;

    @Schema(title = "操作类型,INSERT为插入,UPDATE为更新")
    private ElementInsertType type;

    public enum ElementInsertType {
        INSERT,
        UPDATE
    }
}
