package cd.casic.ci.common.pipeline.pojo.transfer;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.pojo.transfer
 * @Project：ops-pro
 * @name：TransferMark
 * @Date：2025/03/26 11:04
 * @Filename：TransferMark
 * @description：Todo
 */
@Data
@Schema(title = "互转yaml定位")
public class TransferMark {
    @Schema(title = "标记头")
    private Mark startMark;
    @Schema(title = "标记尾")
    private Mark endMark;

    @Data
    public static class Mark {
        @Schema(title = "行数 0开始")
        private int line;
        @Schema(title = "列数 0开始")
        private int column;
    }
}
