package cd.casic.pipeline.dispatch.pojo;

import cd.casic.pipeline.dispatch.pojo.enums.JobQuotaVmType;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author by mianbin
 * @Classname JobRunningCountProject
 * @Description TODO
 * @Date 2025/4/8 16:39
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(title = "项目的JOB运行数量")
public class JobRunningCountProject {
    @Schema(title = "项目ID", required = true)
    private String projectId;
    @Schema(title = "构建机类型", required = true)
    private JobQuotaVmType vmType;
    @Schema(title = "项目当前并发JOB数", required = true)
    private Integer runningJobs;
    @Schema(title = "项目当前所有JOB当月已经执行时间，小时", required = true)
    private Integer runningTimeProject;
    @Schema(title = "工蜂CI当前并发JOB数量", required = true)
    private Integer runningJobsGitCi;
}
