package cd.casic.ci.process.api.process.pojo.mq;

import cd.casic.ci.common.pipeline.pojo.Zone;
import cd.casic.ci.event.enums.ActionType;
import cd.casic.ci.event.pojo.pipeline.IPipelineEvent;

import java.util.Map;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.process.api.process.pojo.mq
 * @Project：ops-pro
 * @name：PipelineBuildLessStartupEvent
 * @Date：2025/03/25 9:37
 * @Filename：PipelineBuildLessStartupEvent
 * @description：Todo
 */
public class PipelineBuildLessStartupEvent extends IPipelineEvent {
    private String source;
    private String projectId;
    private String pipelineId;
    private String userId;
    private String buildId;
    private String vmSeqId;
    private String containerId;
    private String containerHashId;
    private String os;
    private long startTime;
    private String channelCode;
    private Zone zone;
    private Map<String, String> atoms = Map.of();
    private Integer executeCount;
    private Map<String, String> customBuildEnv;
    private Integer queueTimeoutMinutes;
    private ActionType actionType = ActionType.REFRESH;
    private int delayMills = 0;
}
