package cd.casic.ci.process.process.dal.engin;

import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface PipelineTriggerReviewDao {
    Integer createReviewRecord(
            @Param("buildId") String buildId,
            @Param("pipelineId") String pipelineId,
            @Param("projectId") String projectId,
            @Param("reviewers") List<String> reviewers
            );
    Integer updateOperator(
            @Param("projectId") String projectId,
            @Param("pipelineId") String pipelineId,
            @Param("buildId") String buildId,
            @Param("userId") String userId
    );
    List<String> getTriggerReviewers(
            @Param("projectId") String projectId,
            @Param("pipelineId") String pipelineId,
            @Param("buildId") String buildId
    );

}
