package cd.casic.ci.project.service.impl;


import cd.casic.ci.project.dal.dao.ProjectMapper;
import cd.casic.ci.project.dal.pojo.ProjectCreateExtInfo;
import cd.casic.ci.project.dal.pojo.ProjectCreateInfo;
import cd.casic.ci.project.enums.ProjectChannelCode;
import cd.casic.ci.project.service.UserProjectResourceService;
import jakarta.annotation.Resource;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;


@Service("userProjectResourceService")
public class UserProjectResourceServiceImpl implements UserProjectResourceService {

    @Resource
    private ProjectMapper projectService;

    @Override
    @Transactional(rollbackFor = Throwable.class)
    public boolean create(Long userId, ProjectCreateInfo projectCreateInfo, String accessToken) {

        ProjectCreateExtInfo projectCreateExtInfo = new ProjectCreateExtInfo(true, true, true);
        projectService.create(userId, projectCreateInfo, accessToken, projectCreateExtInfo,
                null, ProjectChannelCode.BS);

        return true;
    }
}
