package cd.casic.pipeline.store.pojo.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum DeptStatusEnum {
    APPROVING(0), // 待审核
    APPROVED(1), // 审核通过
    REJECT(2); // 审核驳回

    private final int status;

    public static String getStatusName(int status) {
        switch (status) {
            case 1:
                return APPROVED.name();
            case 2:
                return REJECT.name();
            default:
                return APPROVING.name();
        }
    }
}