package cd.casic.pipeline.store.pojo.common.index;

import cd.casic.pipeline.store.pojo.common.enums.StoreTypeEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
@Schema(title = "新增指标要素请求报文体")
public class CreateIndexComputeDetailRequest {
    @Schema(title = "组件代码", required = true)
    private String storeCode;
    
    @Schema(title = "store组件类型", required = true)
    private StoreTypeEnum storeType;
    
    @Schema(title = "图标提示信息", required = true)
    private String iconTips;
    
    @Schema(title = "等级名称", required = true)
    private String levelName;
    
    @Schema(title = "指标代码", required = true)
    private String indexCode;
    
    @Schema(title = "指标要素列表", required = true)
    private List<StoreIndexElementInfo> elementInfos;
}