package cd.casic.pipeline.store.pojo.common.member;

import cd.casic.pipeline.store.pojo.common.enums.StoreMemberTypeEnum;
import cd.casic.pipeline.store.pojo.common.enums.StoreTypeEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
@Schema(title = "添加成员请求报文")
public class StoreMemberReq {
    @Schema(title = "添加的成员列表")
    private List<String> member;
    
    @Schema(title = "成员类型")
    private StoreMemberTypeEnum type;
    
    @Schema(title = "store组件标识")
    private String storeCode;
    
    @Schema(title = "store组件类型")
    private StoreTypeEnum storeType;
}