package cd.casic.pipeline.store.poji.common.publication;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Data
@Schema(title = "组件基本环境信息数据PO")
public class StoreBaseEnvDataPO {
    @Schema(title = "主键ID")
    private String id;
    
    @Schema(title = "组件ID")
    private String storeId;
    
    @Schema(title = "开发语言")
    private String language;
    
    @Schema(title = "支持开发语言的最低版本")
    private String minVersion;
    
    @Schema(title = "包名称")
    private String pkgName;
    
    @Schema(title = "包路径")
    private String pkgPath;
}