package cd.casic.server.controller;

import cd.casic.ci.common.pipeline.resp.task.TasksResp;
import cd.casic.framework.commons.pojo.CommonResult;
import com.alibaba.fastjson.JSON;
import jakarta.validation.constraints.NotNull;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

public class TasksController {
    /**
     * @pi.name:查询任务及任务详情
     * @pi.path:/tasks/findOneTasksOrTask
     * @pi.methodType:post
     * @pi.request-type: formdata
     * @pi.param: name=taskId;dataType=string;value=taskId;
     */
    @RequestMapping(path="/findOneTasksOrTask",method = RequestMethod.POST)
    public CommonResult<TasksResp> findOneTasksOrTask(@NotNull String taskId){
//        Tasks tasksOrTask = tasksService.findOneTasksOrTask(taskId);
        String tasksStr = "{\n" +
                "  \"taskId\": \"842b38734ded\",\n" +
                "  \"createTime\": \"2025-05-10 16:58:55\",\n" +
                "  \"taskType\": \"maventest\",\n" +
                "  \"taskSort\": 1,\n" +
                "  \"taskName\": \"Maven单元测试\",\n" +
                "  \"values\": {\n" +
                "    \"taskId\": \"842b38734ded\",\n" +
                "    \"testOrder\": \"mvn test\",\n" +
                "    \"address\": \"${DEFAULT_CODE_ADDRESS}\",\n" +
                "    \"testSpace\": null,\n" +
                "    \"testPlan\": null,\n" +
                "    \"apiEnv\": null,\n" +
                "    \"appEnv\": null,\n" +
                "    \"webEnv\": null,\n" +
                "    \"authId\": null,\n" +
                "    \"auth\": null,\n" +
                "    \"type\": null,\n" +
                "    \"sort\": 0,\n" +
                "    \"instanceId\": null,\n" +
                "    \"toolJdk\": null,\n" +
                "    \"toolMaven\": null\n" +
                "  },\n" +
                "  \"pipelineId\": null,\n" +
                "  \"postprocessId\": null,\n" +
                "  \"stageId\": \"5656dfdfe90d\",\n" +
                "  \"task\": {\n" +
                "    \"taskId\": \"842b38734ded\",\n" +
                "    \"testOrder\": \"mvn test\",\n" +
                "    \"address\": \"${DEFAULT_CODE_ADDRESS}\",\n" +
                "    \"testSpace\": null,\n" +
                "    \"testPlan\": null,\n" +
                "    \"apiEnv\": null,\n" +
                "    \"appEnv\": null,\n" +
                "    \"webEnv\": null,\n" +
                "    \"authId\": null,\n" +
                "    \"auth\": null,\n" +
                "    \"type\": null,\n" +
                "    \"sort\": 0,\n" +
                "    \"instanceId\": null,\n" +
                "    \"toolJdk\": null,\n" +
                "    \"toolMaven\": null\n" +
                "  },\n" +
                "  \"instanceId\": null\n" +
                "}";
        TasksResp tasksResp = JSON.parseObject(tasksStr, TasksResp.class);
        return CommonResult.success(tasksResp);
    }
}
